python-demjson_2.2.4-2_all.deb


Advertisement

Description

python-demjson - encoder, decoder, and lint/validator for JSON in Python (python2)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename python-demjson_2.2.4-2_all.deb
Package name python-demjson
Package version 2.2.4
Package release 2
Package architecture all
Package type deb
Category universe/python
Homepage http://deron.meranda.us/python/demjson/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 57.14 KB
Installed size 274.00 KB
demjson is a comprehensive Python language binding to the JSON
language-independent data encoding standard, which is often used as a
simpler substitute for XML in AJAX-based web applications.
This package contains the python2 library and the jsonlint-py script.

Alternatives

Package Version Architecture Repository
python-demjson_2.2.4-2_all.deb 2.2.4 all Ubuntu Universe
python-demjson - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python2.7-demjson -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-demjson_2.2.4-2_all.deb
Source Package python-demjson

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-demjson deb package:
    # sudo apt-get install python-demjson

Files

Path
/usr/bin/jsonlint-py
/usr/lib/python2.7/dist-packages/demjson-2.2.4.egg-info
/usr/lib/python2.7/dist-packages/demjson.py
/usr/share/doc/python-demjson/README.md.gz
/usr/share/doc/python-demjson/README.txt.gz
/usr/share/doc/python-demjson/changelog.Debian.gz
/usr/share/doc/python-demjson/copyright
/usr/share/man/man1/jsonlint-py.1.gz
/usr/share/man/man1/jsonlint.1.gz

Changelog

2017-12-18 - Mattia Rizzolo <mattia@debian.org>
python-demjson (2.2.4-2) unstable; urgency=medium
* Team upload.
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Mattia Rizzolo ]
* Bump debhelper compat level to 11.
* Bump Standards-Version to 4.1.2, no changes needed.
* De-duplicate the package descriptions.
* Add missing build-dependency on dh-python.
* Force use of python3 for jsonlint-py3 in python3-demjson.
This avoid having the python3 package depending on python2.
Thanks to Paul Wise for spotting this weirdness.
* Use HTTPS in d/watch.
2016-02-02 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (2.2.4-1) unstable; urgency=medium
* Imported Upstream version 2.2.4
2015-11-29 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (2.2.3-2) unstable; urgency=medium
* debian/*.install: Copy jsonlint from source tree. (Closes: #806482)
2015-11-25 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (2.2.3-1) unstable; urgency=medium
[ SVN-Git Migration ]
* git-dpm config
* Update Vcs fields for git migration
[ TANIGUCHI Takaki ]
* debian/watch: Use pypy.debian.net.
* Imported Upstream version 2.2.3
* Bump Standards-Version to 3.9.6.
* Add py suffix to CLI utility. (Closes: #778468)
2014-07-06 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (2.2.2-1) unstable; urgency=medium
* New upstream release
2014-06-23 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (2.2-1) unstable; urgency=medium
* New upstream release
2014-06-06 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (2.0.1-1) unstable; urgency=low
[ Jakub Wilk ]
* Add Vcs-* fields.
* Fix a typo in the package description.
[ TANIGUCHI Takaki ]
* New upstream release
* Add support for Python-3
* Bump Standards-Version to 3.9.5.
2011-05-07 - Sandro Tosi <morph@debian.org>
python-demjson (1.6-2) unstable; urgency=low
* Team upload.
* Rebuild to pick up 2.7 and drop 2.5 from supported versions
* debian/control:
- Bumped Standards-version to 3.9.2 - no changes necessary.
* debian/watch
- removed dh_make template lines, leaving only the used ones
* debian/jsonlint.1
- don't use hyphen as minus sign
2011-04-06 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (1.6-1) unstable; urgency=low
* New upstream release
* debian/copyright: Rewirte in DEP-5 format.
* debian/rules: Switch to dh_python2.
2010-10-28 - TANIGUCHI Takaki <takaki@debian.org>
python-demjson (1.5-1) unstable; urgency=low
* New upstream.
* debian/control:
- Bumped Standards-version to 3.9.1 - no changes necessary.
* debian/source/format: 3.0 (quilt)

See Also

Package Description
python-dendropy_4.4.0-1_all.deb DendroPy Phylogenetic Computing Library (Python 2)
python-deprecation_2.0.6-1_all.deb Library to handle automated deprecations - Python 2.x
python-derpconf_0.8.2-2_all.deb Python module to abstract loading configuration files for your app
python-descartes_1.1.0-2_all.deb Matplotlib extension to work with geometric objects (Python2)
python-designateclient_2.11.0-0ubuntu1_all.deb client library for the OpenStack Designate API - Python 2.7
python-dexml_0.5.1-1_all.deb Dead-simple Object-XML mapper for Python
python-dfdatetime_20190116-1_all.deb Digital Forensics date and time library for Python 2
python-dfvfs_20190128-1_all.deb Digital Forensics Virtual File System
python-dfwinreg_20190122-1_all.deb Digital Forensics Windows Registry library for Python 2
python-dhm_0.6-4_all.deb collection of Python utilities / helper
python-diagnostic-msgs_1.12.7-1_all.deb Messages relating to Robot OS diagnostic, Python 2 interface
python-dialog_3.3.0-3_amd64.deb Python 2 module for making simple terminal-based user interfaces
python-diamond_4.0.515-5ubuntu1_all.deb smart data producer for Graphite graphing package (Python module)
python-diaspy-doc_0.6.0-1_all.deb unofficial interface to the Diaspora social network (documentation)
python-diaspy_0.6.0-1_all.deb unofficial interface to the Diaspora social network (Python 2)
Advertisement
Advertisement